aboutsummaryrefslogtreecommitdiffstats
path: root/kernels/bonito/do.bash
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--kernels/bonito/do.bash6
1 files changed, 6 insertions, 0 deletions
diff --git a/kernels/bonito/do.bash b/kernels/bonito/do.bash
new file mode 100644
index 0000000..0bbc21a
--- /dev/null
+++ b/kernels/bonito/do.bash
@@ -0,0 +1,6 @@
+#!/bin/bash
+set -ex
+echo 'EXT_MODULES="${EXT_MODULES} wireguard"' >> private/msm-google/build.config.common
+echo 'ccflags-y += -Wno-unused-variable' >> WireGuard/src/Kbuild
+./build/build.sh
+readlink -f out/android-msm-pixel-4.9/dist/wireguard.ko >&7